## Dreambooth Training 

For dreambooth training, training an optimal model with this command 

```
  output_dir="you/directory/"

  accelerate launch train_dreambooth_bat.py \
  --pretrained_model_name_or_path="CompVis/stable-diffusion-v1-4"  \
  --instance_path="/text_inversion/mug_skulls" \
  --class_path="mug-skull-class-data/" \
  --output_dir="$output_dir" \
  --instance_prompt="a photo of sks mug skull" \
  --class_prompt="a photo of mug skull" \
  --max_train_steps=800 \
  --save
```

after the training use this command for bat training and hessian calculations

```
accelerate launch train_dreambooth_bat.py \
--pretrained_model_name_or_path="CompVis/stable-diffusion-v1-4" \
--instance_path="/text_inversion/mug_skulls" \
--optimal_model_path="$output_dir" \
--instance_prompt="a photo of sks mug skulls" \
--class_prompt="a photo of a mug skulls" \
--output_dir="/folder/to/save/bat/result" \
--max_train_steps=800 \
--bat_ratio=0.16 \
--save \
--saving_step=800 \
--bat \
--result_name="saved" \
--data_root_size=1000
```